## xapers 0.5.2

=== Makefile ===
# -*- makefile -*-

VERSION:=$(shell git describe --tags | sed -e s/_/~/ -e s/-/+/ -e s/-/~/)

PV_FILE=lib/xapers/version.py

.PHONY: all
all:

.PHONY: test
test:
	./test/xapers-test

.PHONY: update-version
update-version:
	echo "__version__ = '$(VERSION)'" >$(PV_FILE)

.PHONY: release
ifdef V
update-version: VERSION:=$(V)
release: VERSION:=$(V)
release: update-version
	make test
	git commit -m "Update version for release $(VERSION)." $(PV_FILE)
	git tag --sign -m "Xapers $(VERSION) release." $(VERSION)
else
release:
	git tag -l | grep -v debian/
endif

.PHONY: debian-snapshot
debian-snapshot:
	rm -rf build/snapshot
	mkdir -p build/snapshot/debian
	git archive HEAD | tar -x -C build/snapshot/
	git archive debian:debian | tar -x -C build/snapshot/debian/
	cd build/snapshot; make update-version
	cd build/snapshot; dch -b -v $(VERSION) -D UNRELEASED 'test build, not for upload'
	cd build/snapshot; echo '3.0 (native)' > debian/source/format
	cd build/snapshot; debuild -us -uc

=== debian/changelog ===
xapers (0.5.2-1) unstable; urgency=low

  * New release.  Update dependencies.
  * Upload to Debian (Closes: #706975).

 -- Jameson Rollins <jrollins@finestructure.net>  Thu, 09 May 2013 08:47:48 -0700

Xapers (0.5.1-1) unstable; urgency=low

  * Fix missing dependency on python-pycurl (thanks Daniel Kahn Gillmor).
  * Rename xapers-importer -> xapers-adder.
  * Add xapers-adder man page.

 -- Jameson Rollins <jrollins@finestructure.net>  Sun, 05 May 2013 23:36:36 -0700

xapers (0.5-1) unstable; urgency=low

  * New release.
  * Update control description.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 04 May 2013 11:10:06 -0700

xapers (0.4-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Mon, 15 Apr 2013 00:59:49 -0700

xapers (0.3-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Sun, 14 Apr 2013 12:44:05 -0700

xapers (0.2-1) unstable; urgency=low

  * New release
  * Update Recommends

 -- Jameson Rollins <jrollins@finestructure.net>  Mon, 08 Apr 2013 14:45:46 -0700

xapers (0.1-1) unstable; urgency=low

  * New release.
  * Include man page.
  * Update compat (9)
  * Update standards (3.9.4)

 -- Jameson Rollins <jrollins@finestructure.net>  Fri, 29 Mar 2013 01:26:23 -0700

xapers (0.0.1-1) unstable; urgency=low

  * Bugfix release.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 24 Nov 2012 17:48:16 -0800

xapers (0.0-1) unstable; urgency=low

  * New packaging.

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 20 Nov 2012 14:27:04 -0800

=== debian/control ===
Source: xapers
Section: python
Priority: optional
Maintainer: Jameson Rollins <jrollins@finestructure.net>
Build-Depends:
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 python-setuptools,
 debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://finestructure.net/xapers
Vcs-Git: git://finestructure.net/xapers

Package: xapers
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-pkg-resources,
 python-xapian,
 poppler-utils,
 python-pycurl,
 pybtex
Recommends:
 python-urwid,
 xdg-utils,
 xclip
Description: Personal journal article management and indexing system.
 Xapers is a personal document indexing system, geared towards
 academic journal articles.  Think of it as your own personal document
 search engine, or a local cache of online libraries.  It provides
 fast search of document text and bibliographic data and simple
 document and bibtex retrieval.
 .
 Document files (in PDF format) and source identifiers (e.g. DOI) are
 parsed and indexed into a Xapian search engine.  Document text is
 extracted from the PDF and fully indexed.  Bibliographic information
 downloaded from online libraries is indexed as prefixed search terms.
 Existing bibtex databases can be easily imported as well, including
 import of pdf files specified in Jabref/Mendeley format.  Documents
 can be arbitrarily tagged.  Original document files are easily
 retrievable from a simple curses search UI.  The command line
 interface allows for exporting bibtex from arbitrary searches,
 allowing seemless integration into LaTeX work flows.

## xapers 0.6

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 	git tag -l | grep -v debian/
 endif
 
-.PHONY: debian-snapshot
-debian-snapshot:
+.PHONY: deb-snapshot
+deb-snapshot:
 	rm -rf build/snapshot
 	mkdir -p build/snapshot/debian
 	git archive HEAD | tar -x -C build/snapshot/

=== debian/changelog ===
xapers (0.6-1) unstable; urgency=medium

  * New release (Closes: #726638)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 10 Jan 2015 11:07:12 -0800

xapers (0.5.3-1) unstable; urgency=low

  * New release.
  * Fix maintainer name.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 01 Jun 2013 08:45:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: xapers
 Section: python
 Priority: optional
-Maintainer: Jameson Rollins <jrollins@finestructure.net>
+Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Build-Depends:
  pkg-config,
  python-all-dev (>= 2.6.6-3~),
  python-setuptools,
  debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://finestructure.net/xapers
 Vcs-Git: git://finestructure.net/xapers
 
@@ -20,13 +20,13 @@
  python-pkg-resources,
  python-xapian,
  poppler-utils,
- python-pycurl,
  pybtex
 Recommends:
+ python-pycurl,
  python-urwid,
  xdg-utils,
  xclip
-Description: Personal journal article management and indexing system.
+Description: Personal journal article management and indexing system
  Xapers is a personal document indexing system, geared towards
  academic journal articles.  Think of it as your own personal document
  search engine, or a local cache of online libraries.  It provides

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
	make test

## xapers 0.7

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,8 @@
 	git tag -l | grep -v debian/
 endif
 
-.PHONY: deb-snapshot
+.PHONY: deb-snapshot debian-snapshot
+debian-snapshot: deb-snapshot
 deb-snapshot:
 	rm -rf build/snapshot
 	mkdir -p build/snapshot/debian
@@ -38,3 +39,10 @@
 	cd build/snapshot; dch -b -v $(VERSION) -D UNRELEASED 'test build, not for upload'
 	cd build/snapshot; echo '3.0 (native)' > debian/source/format
 	cd build/snapshot; debuild -us -uc
+
+.PHONY: clean
+clean:
+	rm -rf build
+	rm -rf test/test-results
+	rm -rf test/tmp.*
+	debuild clean 2>/dev/null || true

=== debian/changelog ===
xapers (0.7-1) unstable; urgency=medium

  * New release (Closes: #779964, #819088, #802554, #812570, #847191)
  * Fix section (Closes: #820392)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 30 Dec 2016 14:31:41 -0800

## xapers 0.7.1

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 update-version: VERSION:=$(V)
 release: VERSION:=$(V)
 release: update-version
+	head -1 NEWS | grep "^Xapers $(VERSION) "
 	make test
-	git commit -m "Update version for release $(VERSION)." $(PV_FILE)
+	git commit -m "Update version for release $(VERSION)." $(PV_FILE) || true
 	git tag --sign -m "Xapers $(VERSION) release." $(VERSION)
 else
 release:

=== debian/changelog ===
xapers (0.7.1-1) unstable; urgency=medium

  * New release

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 04 Jan 2017 22:03:20 -0800

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,34 @@
 Source: xapers
-Section: python
+Section: text
 Priority: optional
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Build-Depends:
+ debhelper (>= 9),
+ dh-python,
  pkg-config,
- python-all-dev (>= 2.6.6-3~),
+ poppler-utils,
+ pybtex,
+ python,
  python-setuptools,
- debhelper (>= 9)
-Standards-Version: 3.9.6
-Homepage: http://finestructure.net/xapers
-Vcs-Git: git://finestructure.net/xapers
+ python-xapian,
+Standards-Version: 3.9.8
+Homepage: https://finestructure.net/xapers
+Vcs-Git: https://finestructure.net/git/xapers
 
 Package: xapers
-Architecture: any
+Architecture: all
 Depends:
- ${shlibs:Depends},
+ poppler-utils,
+ pybtex,
+ python-pkg-resources,
+ python-xapian,
  ${misc:Depends},
  ${python:Depends},
- python-pkg-resources,
- python-xapian,
- poppler-utils,
- pybtex
 Recommends:
  python-pycurl,
  python-urwid,
+ xclip,
  xdg-utils,
- xclip
 Description: Personal journal article management and indexing system
  Xapers is a personal document indexing system, geared towards
  academic journal articles.  Think of it as your own personal document

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,11 @@
 
 override_dh_auto_test:
 	make test
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
+override_dh_clean:
+	rm -rf test/test-results/
+	rm -rf test/tmp.all/
+	dh_clean

## xapers 0.8.2

=== debian/changelog ===
xapers (0.8.2-1) unstable; urgency=medium

  * New minor release (Closes: #779601, #823964, #870289)
  * Update standards version to 4.0.0 and add autopkgtest

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 08 Aug 2017 08:36:24 -0700

xapers (0.8.1-1) unstable; urgency=medium

  * Fix setup.py get rid of install_requires
  * Fix build depends for python3-pycurl

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 02 Aug 2017 11:29:55 -0700

xapers (0.8-1) unstable; urgency=medium

  * New release (python 3 conversion)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 02 Aug 2017 09:50:53 -0700

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,28 @@
  dh-python,
  pkg-config,
  poppler-utils,
- pybtex,
- python,
- python-setuptools,
- python-xapian,
-Standards-Version: 3.9.8
+ python3,
+ python3-pybtex,
+ python3-pycurl,
+ python3-setuptools,
+ python3-xapian,
+Standards-Version: 4.0.0
 Homepage: https://finestructure.net/xapers
 Vcs-Git: https://finestructure.net/git/xapers
+Testsuite: autopkgtest
 
 Package: xapers
 Architecture: all
 Depends:
  poppler-utils,
- pybtex,
- python-pkg-resources,
- python-xapian,
+ python3-pkg-resources,
+ python3-pybtex,
+ python3-xapian,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Recommends:
- python-pycurl,
- python-urwid,
+ python3-pycurl,
+ python3-urwid,
  xclip,
  xdg-utils,
 Description: Personal journal article management and indexing system

=== debian/tests/control ===
Tests: basic
Depends: @, @builddeps@

## xapers 0.9.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 update-version: VERSION:=$(V)
 release: VERSION:=$(V)
 release: update-version
-	head -1 NEWS | grep "^Xapers $(VERSION) "
+	head -1 NEWS.md | grep "^Xapers $(VERSION) "
 	make test
 	git commit -m "Update version for release $(VERSION)." $(PV_FILE) || true
 	git tag --sign -m "Xapers $(VERSION) release." $(VERSION)

=== debian/changelog ===
xapers (0.9.0-1) unstable; urgency=medium

  * New release (Closes: #923327)
  * Update standards version 4.5.0

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 23 May 2020 11:25:56 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-python,
  pkg-config,
  poppler-utils,
@@ -12,10 +12,10 @@
  python3-pycurl,
  python3-setuptools,
  python3-xapian,
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: https://finestructure.net/xapers
 Vcs-Git: https://finestructure.net/git/xapers
-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
 Package: xapers
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make test
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_clean:
	rm -rf lib/xapers.egg-info
	rm -rf test/test-results/
	rm -rf test/tmp.all/
	dh_clean

=== debian/tests/control ===
Tests: basic
Depends:
 @,
 @builddeps@,
